Schedule the account for deletion
Schedules permanent deletion after a 30 day grace period. The user can sign in to cancel during that period. Owners must close or transfer their stores first.
POST
/v1/users/me/deletionSchedules permanent deletion after a 30 day grace period. The user can sign in to cancel during that period. Owners must close or transfer their stores first.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/users/me/deletion" \ -H "Authorization: Bearer <token>"{ "status": "inactive", "requestedOn": "2026-08-01T15:30:00Z", "scheduledOn": "2026-08-01T15:30:00Z", "blockingStores": [ "example" ]}